<ol class="page-breadcrumb">
  [[> Partial:breadcrumb iri=(resolvePrefix ":Start") label="Home"]]
  [[> Partial:breadcrumb iri=(resolvePrefix ":listWitnesses") label="Witnesses"]]
  <li>
    Add new witness
  </li>
</ol>

[[> Partial:contentStart]]

[[> Partial:pageHeader title="Add new witness"]]

<semantic-form
  new-subject-template="http://content.mpiwg-berlin.mpg.de/ns/ismi/witness/{{ismi_id}}"
  post-action="redirect"
  urlqueryparam-view="Witness"
  urlqueryparam-param="witnessiri"
  fields="[[fieldDefinitions
    codex='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/part_of_codex'
    text='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/exemplar_of'
    ismi_id='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/ismi_id'
    label='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/witness_label_gen'
    record_type='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/witness_record_type'
    record_type2='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/witness_record_type_2'
  ]]"
  >

  <semantic-form-autocomplete-input for="text" default-value="[[urlParam 'textiri']]"></semantic-form-autocomplete-input>
  <semantic-link style="margin-left:27px;"
    iri="[[resolvePrefix ':copyIdText']]"
    class="btn btn-sm btn-default"
    target="_blank"
    >Advanced text search</semantic-link>
  <semantic-link style="margin-left:1rem;"
    iri="[[resolvePrefix ':createText']]"
    class="btn btn-sm btn-default"
     target="_blank"
    >Add new text</semantic-link>
  (Copy the ID and paste into the field above)

  <semantic-form-autocomplete-input for="codex" default-value="[[urlParam 'codexiri']]"></semantic-form-autocomplete-input>
  <semantic-link style="margin-left:27px;"
    iri="[[resolvePrefix ':copyIdCodex']]"
    class="btn btn-sm btn-default"
    target="_blank"
    >Advanced codex search</semantic-link>
  <semantic-link style="margin-left:1rem;"
    iri="[[resolvePrefix ':createCodex']]"
    class="btn btn-sm btn-default"
    target="_blank"
    >Add new codex</semantic-link>
  (Copy the ID and paste into the field above)

  <semantic-form-text-input for="ismi_id" readonly="true" 
    default-value="[[autoincrementValue 'ismidb:last-ismi-id']]"></semantic-form-text-input>
  <semantic-form-hidden-input for="record_type"></semantic-form-hidden-input>
  <semantic-form-hidden-input for="record_type2"></semantic-form-hidden-input>

  <div class="gap text-right">
    <button name="submit" class="btn btn-primary btn-md">Add new witness</button>
    <semantic-form-recover-notification class="alert alert-info"></semantic-form-recover-notification>
    <p><b>To continue select a text and codex and click "Add" and then "Edit" on the following page.</b></p>
  </div>

</semantic-form>

[[> Partial:contentEnd]]
